TheSky 6 is old; it doesn't know about the newer security model in Windows 7/8. Running it once as Administrator allows it to register its scripting interfaces with Windows, and then Planner will recognize and use it.